# Binding

Indirectly accessing a variable makes it impossible to branch and use that variable without re-binding. `match` provides the `@` sigil for binding values to names:

    // A function `age` which returns a `u32`.
    fn age() -> u32 {
        15
    }

    fn main() {
        println!("Tell me type of person you are");

        match age() {
            0             => println!("I'm not born yet I guess"),
            // Could `match` 1 ... 12 directly but then what age
            // would the child be? Instead, bind to `n` for the
            // sequence of 1 .. 12. Now the age can be reported.
            n @ 1  ... 12 => println!("I'm a child of age {:?}", n),
            n @ 13 ... 19 => println!("I'm a teen of age {:?}", n),
            // Nothing bound. Return the result.
            n             => println!("I'm an old person of age {:?}", n),
        }
    }

### See also:

functions